> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch external IDs

> This endpoint allows you to get a list of external IDs that have been added to a TV show.



## OpenAPI

````yaml get /tv/{{series_id}}/external_ids
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/{{series_id}}/external_ids:
    parameters:
      - name: series_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - TV Series
      summary: Fetch external IDs
      description: >-
        This endpoint allows you to get a list of external IDs that have been
        added to a TV show.
      operationId: fetchExternalIds2
      responses:
        '200':
          description: Fetch external IDs
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=21224
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Mon, 30 Dec 2024 09:19:20 GMT
            ETag:
              schema:
                type: string
                example: W/"2cc9ddd9b7342ef5e71ea7e2a9628372"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 b3bc6011219d758c8763878f39b43b9e.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: LHcAA3AwiOk9hHW4OqKWuoADb2bJFMK06A-zOHJiBqsiIuAZrQOKDA==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD61-P1
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '3055'
            x-memc-expires:
              schema:
                type: string
                example: '21224'
            x-memc-key:
              schema:
                type: string
                example: 48dd96d2ab873853e4dff78bfed41c79
          content:
            application/json:
              schema:
                type: object
                properties:
                  facebook_id:
                    nullable: true
                    example: null
                  freebase_id:
                    nullable: true
                    example: null
                  freebase_mid:
                    nullable: true
                    example: null
                  id:
                    type: number
                    example: 203504
                  imdb_id:
                    type: string
                    example: tt20673854
                  instagram_id:
                    nullable: true
                    example: null
                  tvdb_id:
                    type: number
                    example: 421907
                  tvrage_id:
                    nullable: true
                    example: null
                  twitter_id:
                    nullable: true
                    example: null
                  wikidata_id:
                    nullable: true
                    example: null
              examples:
                Fetch external IDs:
                  value:
                    facebook_id: null
                    freebase_id: null
                    freebase_mid: null
                    id: 203504
                    imdb_id: tt20673854
                    instagram_id: null
                    tvdb_id: 421907
                    tvrage_id: null
                    twitter_id: null
                    wikidata_id: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````